Package org.kie.api.event.kiebase

## Interface KieBaseEventListener

- All Superinterfaces:
    `java.util.EventListener`
  All Known Implementing Classes:
    `DefaultKieBaseEventListener`

      public interface KieBaseEventListener
      extends java.util.EventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterFunctionRemoved​(AfterFunctionRemovedEvent event)` | Method called after a function is removed from the rule base
    `void` | `afterKieBaseLocked​(AfterKieBaseLockedEvent event)` | Method called after a `KieBase` is locked
    `void` | `afterKieBaseUnlocked​(AfterKieBaseUnlockedEvent event)` | Method called after a `KieBase` is unlocked
    `void` | `afterKiePackageAdded​(AfterKiePackageAddedEvent event)` | Method called after a new package is added to the `KieBase`
    `void` | `afterKiePackageRemoved​(AfterKiePackageRemovedEvent event)` | Method called after a package is removed from the `KieBase`
    `void` | `afterProcessAdded​(AfterProcessAddedEvent event)` | Method called after a function is removed from the `KieBase`
    `void` | `afterProcessRemoved​(AfterProcessRemovedEvent event)` | Method called after a function is removed from the `KieBase`
    `void` | `afterRuleAdded​(AfterRuleAddedEvent event)` | Method called after a new rule is added to the `KieBase`
    `void` | `afterRuleRemoved​(AfterRuleRemovedEvent event)` | Method called after a rule is removed from the `KieBase`
    `void` | `beforeFunctionRemoved​(BeforeFunctionRemovedEvent event)` | Method called before a function is removed from the `KieBase`
    `void` | `beforeKieBaseLocked​(BeforeKieBaseLockedEvent event)` | Method called before a `KieBase` is locked
    `void` | `beforeKieBaseUnlocked​(BeforeKieBaseUnlockedEvent event)` | Method called before a `KieBase` is unlocked
    `void` | `beforeKiePackageAdded​(BeforeKiePackageAddedEvent event)` | Method called before a new package is added to the `KieBase`
    `void` | `beforeKiePackageRemoved​(BeforeKiePackageRemovedEvent event)` | Method called before a package is removed from the `KieBase`
    `void` | `beforeProcessAdded​(BeforeProcessAddedEvent event)` | Method called before a process is removed from the `KieBase`
    `void` | `beforeProcessRemoved​(BeforeProcessRemovedEvent event)` | Method called before a function is removed from the `KieBase`
    `void` | `beforeRuleAdded​(BeforeRuleAddedEvent event)` | Method called before a new rule is added to the `KieBase`
    `void` | `beforeRuleRemoved​(BeforeRuleRemovedEvent event)` | Method called before a rule is removed from the `KieBase`

- - ### Method Detail

    - #### beforeKiePackageAdded

          void beforeKiePackageAdded​(BeforeKiePackageAddedEvent event)

      Method called before a new package is added to the `KieBase`
      Parameters:
        `event` -

    - #### afterKiePackageAdded

          void afterKiePackageAdded​(AfterKiePackageAddedEvent event)

      Method called after a new package is added to the `KieBase`
      Parameters:
        `event` -

    - #### beforeKiePackageRemoved

          void beforeKiePackageRemoved​(BeforeKiePackageRemovedEvent event)

      Method called before a package is removed from the `KieBase`
      Parameters:
        `event` -

    - #### afterKiePackageRemoved

          void afterKiePackageRemoved​(AfterKiePackageRemovedEvent event)

      Method called after a package is removed from the `KieBase`
      Parameters:
        `event` -

    - #### beforeKieBaseLocked

          void beforeKieBaseLocked​(BeforeKieBaseLockedEvent event)

      Method called before a `KieBase` is locked
      Parameters:
        `event` -

    - #### afterKieBaseLocked

          void afterKieBaseLocked​(AfterKieBaseLockedEvent event)

      Method called after a `KieBase` is locked
      Parameters:
        `event` -

    - #### beforeKieBaseUnlocked

          void beforeKieBaseUnlocked​(BeforeKieBaseUnlockedEvent event)

      Method called before a `KieBase` is unlocked
      Parameters:
        `event` -

    - #### afterKieBaseUnlocked

          void afterKieBaseUnlocked​(AfterKieBaseUnlockedEvent event)

      Method called after a `KieBase` is unlocked
      Parameters:
        `event` -

    - #### beforeRuleAdded

          void beforeRuleAdded​(BeforeRuleAddedEvent event)

      Method called before a new rule is added to the `KieBase`
      Parameters:
        `event` -

    - #### afterRuleAdded

          void afterRuleAdded​(AfterRuleAddedEvent event)

      Method called after a new rule is added to the `KieBase`
      Parameters:
        `event` -

    - #### beforeRuleRemoved

          void beforeRuleRemoved​(BeforeRuleRemovedEvent event)

      Method called before a rule is removed from the `KieBase`
      Parameters:
        `event` -

    - #### afterRuleRemoved

          void afterRuleRemoved​(AfterRuleRemovedEvent event)

      Method called after a rule is removed from the `KieBase`
      Parameters:
        `event` -

    - #### beforeFunctionRemoved

          void beforeFunctionRemoved​(BeforeFunctionRemovedEvent event)

      Method called before a function is removed from the `KieBase`
      Parameters:
        `event` -

    - #### afterFunctionRemoved

          void afterFunctionRemoved​(AfterFunctionRemovedEvent event)

      Method called after a function is removed from the rule base
      Parameters:
        `event` -

    - #### beforeProcessAdded

          void beforeProcessAdded​(BeforeProcessAddedEvent event)

      Method called before a process is removed from the `KieBase`
      Parameters:
        `event` -

    - #### afterProcessAdded

          void afterProcessAdded​(AfterProcessAddedEvent event)

      Method called after a function is removed from the `KieBase`
      Parameters:
        `event` -

    - #### beforeProcessRemoved

          void beforeProcessRemoved​(BeforeProcessRemovedEvent event)

      Method called before a function is removed from the `KieBase`
      Parameters:
        `event` -

    - #### afterProcessRemoved

          void afterProcessRemoved​(AfterProcessRemovedEvent event)

      Method called after a function is removed from the `KieBase`
      Parameters:
        `event` -